%global major 0
%define libname %mklibname ublksrv %major
%define devname %mklibname -d ublksrv

%global forgeurl https://github.com/ming1/ubdsrv
%global commit 483d710ab8630304d13b59c2776f7386a566c467
# Upstream has not tagged any versions so far.
Version:       1.0
%forgemeta

Group:   System/Libraries
Summary:       Userspace block driver server and ublk tool
Name:          ubdsrv
Release:       %mkrel 4
URL:           %{forgeurl}
Source:        %{forgesource}
License:       LGPLv2+ or MIT
Requires:	%libname >= %version-%release

# Basic build requirements.
BuildRequires: gcc, gcc-c++
BuildRequires: make
BuildRequires: autoconf, autoconf-archive, automake, libtool
BuildRequires: liburing-devel >= 2.2
BuildRequires: pkgconf


%description
This package allows you to write Linux block devices in userspace.  It
contains a library which can be linked to programs that implement
Linux userspace block devices, and also the "ublk" program which can
be used to create, list and delete ublk devices.


%package -n %libname
Summary: Library for userspace block driver
Group:   System/Libraries

%description -n %libname
This library allow to use block devices in userspace.

%package -n %devname
Group: Development/C
Summary:       Development tools for %{name}
Requires:      %{libname}%{_isa} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:      ublksrv = %{version}-%{release}


%description -n %devname
This package contains development tools for %{name}.


%prep
%forgeautosetup -p1


%build
autoreconf -f -i
%{configure} --disable-static
make V=1 %{?_smp_mflags}


%install
%{make_install}

# Remove libtool droppings.
rm %{buildroot}%{_libdir}/*.la


%files
%license COPYING COPYING.LGPL LICENSE
%doc README.rst
%{_sbindir}/ublk

%files -n %libname
%{_libdir}/libublksrv.so.%{major}{,.*}


%files -n %devname
%license COPYING COPYING.LGPL LICENSE
%doc README.rst
%{_includedir}/ublksrv_aio.h
%{_includedir}/ublksrv.h
%{_includedir}/ublk_cmd.h
%{_includedir}/ublksrv_utils.h
%{_libdir}/libublksrv.so
%{_libdir}/pkgconfig/ublksrv.pc




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0-4.mga10
+ Revision: 2216830
- Mageia 10 Mass Rebuild

* Mon Dec 12 2022 tv <tv> 1.0-3.mga9
+ Revision: 1921222
- Move to a newer tag (1.0-rc6 + a couple of upstream patches)

* Mon Nov 07 2022 tv <tv> 1.0-2.mga9
+ Revision: 1904405
- Protect major eg in case of 0 got replaced by 0001

* Mon Nov 07 2022 tv <tv> 1.0-1.mga9
+ Revision: 1904390
- imported package ubdsrv


* Mon Nov 07 2022 Thierry Vignaud <tv@mageia.org> 1.0-1.mga9
- Import from FC

* Thu Nov 03 2022 Richard W.M. Jones <rjones@redhat.com> - 1.0-2
- Move to a newer tag (1.0-rc3 + a couple of upstream patches)

* Tue Sep 27 2022 Richard W.M. Jones <rjones@redhat.com> - 1.0-1
- New upstream version 1.0
- Remove upstream patches

* Wed Aug 31 2022 Richard W.M. Jones <rjones@redhat.com> - 0.1-3
- Update to latest upstream version
- Fix various build issues

* Tue Aug 30 2022 Richard W.M. Jones <rjones@redhat.com> - 0.1-1
- Initial package
